# Ultralytics YOLO 🚀, AGPL-3.0 license

site_name: Ultralytics YOLOv8 ドキュメント
site_description: Ultralytics YOLOv8を探求してください。これは、さまざまなアプリケーションおよびハードウェアプラットフォームに適した最先端のリアルタイム物体検出および画像分割モデルです。
site_url: https://docs.ultralytics.com/ja/
site_author: Ultralytics
repo_url: https://github.com/ultralytics/ultralytics
edit_uri: https://github.com/ultralytics/ultralytics/tree/main/docs/ja/
repo_name: ultralytics/ultralytics
remote_name: https://github.com/ultralytics/docs
docs_dir: 'ja/'  # where to find the markdown files
site_dir: '../site/ja'  # where to publish to

theme:
  name: material
  language: ja
  custom_dir: overrides/
  logo: https://github.com/ultralytics/assets/raw/main/logo/Ultralytics_Logotype_Reverse.svg
  favicon: assets/favicon.ico
  icon:
    repo: fontawesome/brands/github
  # font:  # disabled for faster page load times
  #  text: Helvetica
  #  code: Roboto Mono
  palette:
    - media: "(prefers-color-scheme)"
      toggle:
        icon: material/brightness-auto
        name: Switch to light mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: black
      accent: indigo
      toggle:
        icon: material/brightness-4
        name: Switch to system preference
    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: indigo
      accent: indigo
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode
  features:
    - announce.dismiss
    - content.action.edit
    - content.code.annotate
    - content.code.copy
    - content.tooltips
    - search.highlight
    - search.share
    - search.suggest
    - toc.follow
    - navigation.top
    - navigation.tabs
    - navigation.tabs.sticky
    - navigation.prune
    - navigation.footer
    - navigation.tracking
    - navigation.instant
    - navigation.instant.progress
    - navigation.indexes
    - navigation.sections
    - content.tabs.link  # all code tabs change simultaneously

# Customization
copyright: <a href="https://ultralytics.com" target="_blank">© 2023 Ultralytics Inc.</a> All rights reserved.
extra:
  # version:
  #   provider: mike  #  version drop-down menu
  robots: robots.txt
  analytics:
    provider: google
    property: G-2M5EHKC0BH
  alternate: # language drop-down
    - name: 🇬🇧 English
      link: /
      lang: en
    - name: 🇨🇳 简体中文
      link: /zh/
      lang: zh
    - name: 🇰🇷 한국어
      link: /ko/
      lang: ko
    - name: 🇯🇵 日本語
      link: /ja/
      lang: ja
    - name: 🇷🇺 Русский
      link: /ru/
      lang: ru
    - name: 🇩🇪 Deutsch
      link: /de/
      lang: de
    - name: 🇫🇷 Français
      link: /fr/
      lang: fr
    - name: 🇪🇸 Español
      link: /es/
      lang: es
    - name: 🇵🇹 Português
      link: /pt/
      lang: pt
  social:
    - icon: fontawesome/brands/github
      link: https://github.com/ultralytics
    - icon: fontawesome/brands/linkedin
      link: https://www.linkedin.com/company/ultralytics/
    - icon: fontawesome/brands/twitter
      link: https://twitter.com/ultralytics
    - icon: fontawesome/brands/youtube
      link: https://www.youtube.com/ultralytics
    - icon: fontawesome/brands/docker
      link: https://hub.docker.com/r/ultralytics/ultralytics/
    - icon: fontawesome/brands/python
      link: https://pypi.org/project/ultralytics/
    - icon: fontawesome/brands/discord
      link: https://ultralytics.com/discord

extra_css:
  - stylesheets/style.css
extra_javascript:
  - javascript/extra.js

markdown_extensions:
  - admonition
  - md_in_html
  - tables
  - attr_list
  - def_list
  - pymdownx.critic
  - pymdownx.caret
  - pymdownx.keys
  - pymdownx.mark
  - pymdownx.tilde
  - pymdownx.details
  - pymdownx.superfences
  - pymdownx.inlinehilite
  - pymdownx.highlight:
      anchor_linenums: true
  - pymdownx.snippets:
      base_path: ./
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - pymdownx.tabbed:
      alternate_style: true


# Primary navigation ---------------------------------------------------------------------------------------------------
nav:
  - ホーム:
      - ホーム: index.md
      - クイックスタート: quickstart.md
      - モード:
          - modes/index.md
          - トレーニング: modes/train.md
          - 検証: modes/val.md
          - 予測: modes/predict.md
          - エクスポート: modes/export.md
          - トラッキング: modes/track.md
          - ベンチマーク: modes/benchmark.md
      - タスク:
          - tasks/index.md
          - 検出: tasks/detect.md
          - セグメンテーション: tasks/segment.md
          - 分類: tasks/classify.md
          - ポーズ: tasks/pose.md
  - クイックスタート: quickstart.md
  - モード:
      - modes/index.md
      - トレーニング: modes/train.md
      - 検証: modes/val.md
      - 予測: modes/predict.md
      - エクスポート: modes/export.md
      - トラッキング: modes/track.md
      - ベンチマーク: modes/benchmark.md
  - タスク:
      - tasks/index.md
      - 検出: tasks/detect.md
      - セグメンテーション: tasks/segment.md
      - 分類: tasks/classify.md
      - ポーズ: tasks/pose.md
  - モデル:
      - models/index.md
  - データセット:
      - datasets/index.md

# Plugins including 301 redirects navigation ---------------------------------------------------------------------------
plugins:
  - search:
      lang: ja
  - ultralytics:
      add_desc: False
      add_image: True
      add_share_buttons: True
      default_image: https://github.com/ultralytics/ultralytics/assets/26833433/6d09221c-c52a-4234-9a5d-b862e93c6529
